#from ajgu.storage.bsddb3 import NoTxnBSDDB3 as Storage
from ajgu.storage.file import FileStorage as Storage
from ajgu import GraphDatabase


storage = Storage('./db')
graph = GraphDatabase(storage)

with graph.transaction() as txn:
    for vertex in txn.vertex.label('movie'):
            print(vertex.properties['title'])
            print('\tincomings:', len(list(vertex.incomings())))
            print('\toutgoings:', len(list(vertex.outgoings())))            

